/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgeneproductdescPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "MODULECODE")
    private String modulecode;
    @Basic(optional = false)
    @Column(name = "PRODUCTCODE")
    private String productcode;
    @Basic(optional = false)
    @Column(name = "LANGUAGECODE")
    private String languagecode;

    public TgeneproductdescPK() {
    }

    public TgeneproductdescPK(String modulecode, String productcode, String languagecode) {
        this.modulecode = modulecode;
        this.productcode = productcode;
        this.languagecode = languagecode;
    }

    public String getModulecode() {
        return modulecode;
    }

    public void setModulecode(String modulecode) {
        this.modulecode = modulecode;
    }

    public String getProductcode() {
        return productcode;
    }

    public void setProductcode(String productcode) {
        this.productcode = productcode;
    }

    public String getLanguagecode() {
        return languagecode;
    }

    public void setLanguagecode(String languagecode) {
        this.languagecode = languagecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (modulecode != null ? modulecode.hashCode() : 0);
        hash += (productcode != null ? productcode.hashCode() : 0);
        hash += (languagecode != null ? languagecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgeneproductdescPK)) {
            return false;
        }
        TgeneproductdescPK other = (TgeneproductdescPK) object;
        if ((this.modulecode == null && other.modulecode != null) || (this.modulecode != null && !this.modulecode.equals(other.modulecode))) {
            return false;
        }
        if ((this.productcode == null && other.productcode != null) || (this.productcode != null && !this.productcode.equals(other.productcode))) {
            return false;
        }
        if ((this.languagecode == null && other.languagecode != null) || (this.languagecode != null && !this.languagecode.equals(other.languagecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgeneproductdescPK[ modulecode=" + modulecode + ", productcode=" + productcode + ", languagecode=" + languagecode + " ]";
    }
    
}
